jQuery(document).ready(function($) {
    // Smooth scrolling when clicking on links
    $('a[href*="#"]').on('click', function(e) {
        e.preventDefault();

        $('html, body').animate(
            {
                scrollTop: $($(this).attr('href')).offset().top
            },
            100000, // Adjust the speed (milliseconds)
            'swing'
        );
    });
});